Sspi.SecPkgContext_Sizes.ByReference (JNA API)

com.sun.jna.platform.win32

## Class Sspi.SecPkgContext_Sizes.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecPkgContext_Sizes
    - - com.sun.jna.platform.win32.Sspi.SecPkgContext_Sizes.ByReference

- All Implemented Interfaces:
    Structure.ByReference
  Enclosing class:
    Sspi.SecPkgContext_Sizes

      public static class Sspi.SecPkgContext_Sizes.ByReference
      extends Sspi.SecPkgContext_Sizes
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Sspi.SecPkgContext_Sizes

      `Sspi.SecPkgContext_Sizes.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.Sspi.SecPkgContext_Sizes

      `cbBlockSize, cbMaxSignature, cbMaxToken, cbSecurityTrailer`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.Sspi.SecPkgContext_Sizes

      `toString`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.